curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/jobs/{job_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"claimedBy": "string",
"createdAt": "2026-08-31T14:22:05Z",
"error": "string",
"finishedAt": "2026-08-31T14:22:05Z",
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": null,
"leaseExpiresAt": "2026-08-31T14:22:05Z",
"maxRetries": 1,
"nextRetryAt": "2026-08-31T14:22:05Z",
"result": null,
"retryCount": 1,
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"startedAt": "2026-08-31T14:22:05Z",
"state": null,
"tenantId": "acme-outdoors"
}
Get status of a background job
Job status
GET
/
v1
/
tenants
/
{tenant_id}
/
jobs
/
{job_id}
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/jobs/{job_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"claimedBy": "string",
"createdAt": "2026-08-31T14:22:05Z",
"error": "string",
"finishedAt": "2026-08-31T14:22:05Z",
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": null,
"leaseExpiresAt": "2026-08-31T14:22:05Z",
"maxRetries": 1,
"nextRetryAt": "2026-08-31T14:22:05Z",
"result": null,
"retryCount": 1,
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"startedAt": "2026-08-31T14:22:05Z",
"state": null,
"tenantId": "acme-outdoors"
}
Path parameters
string
required
Tenant identifier
string (uuid)
required
Job UUID
Response
JobInfo
string
string (date-time)
required
string
string (date-time)
string (uuid)
required
JobKind
required
string (date-time)
integer (int32)
required
string (date-time)
object
integer (int32)
required
string (uuid)
string (date-time)
JobState
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | Job status |
401 | Unauthorized |
404 | Job not found |
curl --request GET \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/jobs/{job_id}' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY"
{
"claimedBy": "string",
"createdAt": "2026-08-31T14:22:05Z",
"error": "string",
"finishedAt": "2026-08-31T14:22:05Z",
"jobId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"jobType": null,
"leaseExpiresAt": "2026-08-31T14:22:05Z",
"maxRetries": 1,
"nextRetryAt": "2026-08-31T14:22:05Z",
"result": null,
"retryCount": 1,
"scheduleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"startedAt": "2026-08-31T14:22:05Z",
"state": null,
"tenantId": "acme-outdoors"
}
Last modified on August 31, 2026